#!/bin/sh
### BEGIN INIT INFO
# Short-Description: Miscellaneous things to be done during bootup.
### END INIT INFO

[ -z "$DELAYLOGIN" ] && DELAYLOGIN=yes
[ -z "$EDITMOTD" ] && EDITMOTD=yes
[ -f /etc/default/rcS ] && . /etc/default/rcS

do_start () {
	#
	#	Put a nologin file in /etc to prevent people from logging in
	#	before system startup is complete.
	#
	if [ "$DELAYLOGIN" = yes ]
	then
		echo "System bootup in progress - please wait" > /etc/nologin
	fi

	#
	#	Imposta il driver per la penna
	#
	setserial /dev/ttyS0 autoconfig

	#
	#	Imposta la rimappatura per i tasti del pocketpc
	#
	setkeycodes e002 130
	setkeycodes e003 131
	setkeycodes e004 132
	setkeycodes e005 133
	setkeycodes e006 134
	setkeycodes e007 135
	loadkeys /etc/tc1000.map

	#
	#	carica le configurazioni iniziali per l'acpi
	#
	/etc/acpi/tc1000.sh startup


	#
	#	carica diversi file di configurazione di Xorg a secondo
	#	della modalita' scelta durante il caricamento di grub
	#

	cp /etc/X11/xorg.conf.$videomode /etc/X11/xorg.conf

	#solo per driver nvidia - occorre riavviarlo per farlo funzionare
	if [ "$videomode" == "nvidia" ]; then
		touch /home/legolas/nvidia_restart
		sleep 20 && /etc/init.d/gdm restart &
	fi



}

case "$1" in
    start)
        do_start
        ;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
        exit 3
        ;;
esac

: exit 0
